- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QByteRef Class Reference

Search for all occurrences

## Detailed Description

Definition at line 437 of file qbytearray.h.

`#include <qbytearray.h>`

List of all members.

## Public Member Functions
| operator char () const
QByteRef & | operator= (char c)
QByteRef & | operator= (const QByteRef &c)
bool | operator== (char c) const
bool | operator!= (char c) const
bool | operator> (char c) const
bool | operator>= (char c) const
bool | operator< (char c) const
bool | operator<= (char c) const
## Friends
class | QByteArray

## Member Function Documentation

operator char | ( |  | ) | const `[inline]`

Definition at line 448 of file qbytearray.h.

            { return i < a.d->size ? a.d->data[i] : char(0); }

QByteRef& operator= | ( | char | c | ) | `[inline]`

Definition at line 451 of file qbytearray.h.

            { if (i >= a.d->size) a.expand(i); else a.detach();
              a.d->data[i] = c;  return *this; }

QByteRef& operator= | ( | const QByteRef & | c | ) | `[inline]`

Definition at line 454 of file qbytearray.h.

            { if (i >= a.d->size) a.expand(i); else a.detach();
              a.d->data[i] = c.a.d->data[c.i];  return *this; }

bool operator== | ( | char | c | ) | const `[inline]`

Definition at line 457 of file qbytearray.h.

        { return a.d->data[i] == c; }

bool operator!= | ( | char | c | ) | const `[inline]`

Definition at line 459 of file qbytearray.h.

        { return a.d->data[i] != c; }

bool operator> | ( | char | c | ) | const `[inline]`

Definition at line 461 of file qbytearray.h.

        { return a.d->data[i] > c; }

bool operator>= | ( | char | c | ) | const `[inline]`

Definition at line 463 of file qbytearray.h.

        { return a.d->data[i] >= c; }

bool operator< | ( | char | c | ) | const `[inline]`

Definition at line 465 of file qbytearray.h.

        { return a.d->data[i] < c; }

bool operator<= | ( | char | c | ) | const `[inline]`

Definition at line 467 of file qbytearray.h.

        { return a.d->data[i] <= c; }

## Friends And Related Function Documentation

friend class QByteArray `[friend]`

Search for all occurrences

Definition at line 442 of file qbytearray.h.

The documentation for this class was generated from the following file:

- QtCore/qbytearray.h

QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef
QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef QByteRef